---
schema-version: '1.1'
name: OpenSearch
version: 3.8.0
platform: linux
architecture: arm64
distribution: rpm
id: '12115'
rc: '4'
test-run:
  Command: ./test.sh integ-test manifests/3.8.0/opensearch-3.8.0-test.yml --paths
    opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.8.0/12115/linux/arm64/rpm
  TestType: integ-test
  TestManifest: manifests/3.8.0/opensearch-3.8.0-test.yml
  DistributionManifest: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.8.0/12115/linux/arm64/rpm/dist/opensearch/manifest.yml
  TestID: '11486'
components:
  - name: alerting
    command: ./test.sh integ-test manifests/3.8.0/opensearch-3.8.0-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.8.0/12115/linux/arm64/rpm
      --component alerting
    repository: https://github.com/opensearch-project/alerting.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.8.0/12115/linux/arm64/rpm/test-results/11486/integ-test/alerting/with-security/alerting.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.8.0/12115/linux/arm64/rpm/test-results/11486/integ-test/alerting/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.8.0/12115/linux/arm64/rpm/test-results/11486/integ-test/alerting/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.8.0/12115/linux/arm64/rpm/test-results/11486/integ-test/alerting/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.8.0/12115/linux/arm64/rpm/test-results/11486/integ-test/alerting/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: FAIL
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.8.0/12115/linux/arm64/rpm/test-results/11486/integ-test/alerting/without-security/alerting.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.8.0/12115/linux/arm64/rpm/test-results/11486/integ-test/alerting/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.8.0/12115/linux/arm64/rpm/test-results/11486/integ-test/alerting/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.8.0/12115/linux/arm64/rpm/test-results/11486/integ-test/alerting/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.8.0/12115/linux/arm64/rpm/test-results/11486/integ-test/alerting/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - org.opensearch.alerting.alerts.AlertIndicesIT
          - org.opensearch.alerting.resthandler.MonitorRestApiIT
          - org.opensearch.alerting.resthandler.WorkflowRestApiIT
